Browse the API reference

Campaigns

Create a campaign

View as Markdown
posthttps://www.getrevox.com/api/campaigns

Create a new outbound calling campaign. Every contact is materialized as a call in the not_launched status — nothing is dialed. Use POST /campaigns/:id/launch-calls to send them.

Request body

  • namestringrequired

    The name of the campaign

    min length 1

  • assistant_idstring (uuid)required

    The ID of the assistant to use

  • from_phone_numberstring

    The phone number to use for outbound calls (E.164 format, e.g., +1234567890)

  • max_concurrent_callsnumber

    Maximum number of concurrent calls allowed for this campaign

    min 1

  • call_retry_configCallRetryConfig

    Retry configuration for calls in this campaign. If not provided, uses the default retry config.

  • contactsarray of objectrequired

    The list of contacts to call

    Show 2 fields
    • to_phone_numberstringrequired
    • prompt_variablesanyrequired

      Default {}

Responses

200Success
400Invalid request: the body or a parameter failed validation
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring
402Not enough credits on the organization
  • errorstringrequired
  • codestring (constant)required

    Always "INSUFFICIENT_BALANCE"